<f:layout name="Backend" />
<f:section name="Content">
	<h1><f:translate key="tx_fluidform_label.headline_mails_overview" extensionName="FluidForm" /></h1>
	<f:flashMessages />
	<f:if condition="{restrictedContext}">
		<f:then>

			<f:if condition="{f:count(subject: pages)} > 0">
				<f:then>
					<ul class="list-unstyled">
						<f:for each="{pages}" as="page">
							<li><f:link.page pageUid="{page.uid}" additionalParams="{id: page.uid}" class="btn btn-primary">
								Go to <i>{page.title}</i> page!</f:link.page>
							</li>
						</f:for>
					</ul>
				</f:then>
				<f:else>
					You don't have any mail containers defined!<br />
					Please define at least one mail container for storing mails and requests!
				</f:else>
			</f:if>

		</f:then>
		<f:else>


			<div class="panel panel-default panel-filter">
				<div class="panel-heading"><f:translate key="tx_fluidform_label.backend_filter" extensionName="FluidForm" /></div>
				<div class="panel-body">
					<f:if condition="{list.css.bootstrap} == 3">
						<f:then>
							<f:form class="form-inline form-filter">
								<div class="row">
									<div class="col-sm-6 col-md-2">
										<label for="date-from"><f:translate key="tx_fluidform_label.backend_filter_date_from"/></label><br />
										<div class="input-group">
											<f:form.textfield id="date-from" name="dateFrom" class="form-control t3js-datetimepicker"
															  value="{list.dateFrom}" data="{date-type: 'date', date-offset: '0'}"/>
											<span class="input-group-addon">
												<label class="" for="date-from">
													<span class="fa fa-calendar"></span>
												</label>
											</span>
										</div>
									</div>

									<div class="col-sm-6 col-md-2">
										<label for="date-to"><f:translate key="tx_fluidform_label.backend_filter_date_to"/></label><br />
										<div class="input-group">
											<f:form.textfield id="date-to" name="dateTo" class="form-control t3js-datetimepicker"
															  value="{list.dateTo}" data="{date-type: 'date', date-offset: '0'}"/>
											<span class="input-group-addon">
												<label class="" for="date-to">
													<span class="fa fa-calendar"></span>
												</label>
											</span>
										</div>
									</div>


									<div class="col-sm-6 col-md-2">
										<label><f:translate key="tx_fluidform_label.backend_filter_page"/></label><br />
										<f:form.select name="page" class="{list.css.select}" optionLabelField="title" optionValueField="uid"
													   options="{list.page.items}" value="{list.page.selected}" />
									</div>

									<div class="col-sm-6 col-md-2">
										<label><f:translate key="tx_fluidform_label.backend_filter_form"/></label><br />
										<f:form.select name="form" class="{list.css.select}" optionLabelField="title" optionValueField="uid"
													   options="{list.form.items}" value="{list.form.selected}" />
									</div>

									<div class="col-sm-6 col-md-2">
										<label><f:translate key="tx_fluidform_label.backend_filter_search_word"/></label><br />
										<f:form.textfield name="searchWord" class="form-control" value="{list.searchWord}"
														  placeholder="{f:translate(key: 'tx_fluidform_label.backend_filter_search_word')}"/>
									</div>

									<div class="col-sm-6 col-md-1">
										<label>&nbsp;</label><br />
										<f:form.submit value="{f:translate(key: 'tx_fluidform_label.backend_filter_submit')}"
													   class="btn btn-default" />
									</div>
								</div>
							</f:form>
						</f:then>
						<f:else>
							<f:form>
								<div class="row">
									<div class="col-sm-6 col-md-2 p-2">
										<label for="date-from" class="fw-bold"><f:translate key="tx_fluidform_label.backend_filter_date_from"/></label><br />
										<div class="input-group date" data-provide="datepicker">
											<f:form.textfield id="date-from" name="dateFrom" class="form-control t3js-datetimepicker"
																	  value="{list.dateFrom}" data="{date-type: 'date', date-offset: '0'}"/>
											<div class="input-group-addon btn btn-default">
												<label for="date-from">
													<core:icon identifier="actions-calendar-alternative" size="small" />
												</label>
											</div>
											<input type="hidden" name="dateFrom" value="" />
										</div>
									</div>
									<div class="col-sm-6 col-md-2  p-2">
										<label for="date-to" class="fw-bold"><f:translate key="tx_fluidform_label.backend_filter_date_to"/></label><br />
										<div class="input-group date" data-provide="datepicker">
											<f:form.textfield id="date-to" name="dateTo" class="form-control t3js-datetimepicker"
															  value="{list.dateTo}" data="{date-type: 'date', date-offset: '0'}"/>
											<div class="input-group-addon btn btn-default">
												<label for="date-to">
													<core:icon identifier="actions-calendar-alternative" size="small" />
												</label>
											</div>
											<input type="hidden" name="dateTo" value="" />
										</div>
									</div>
									<div class="col-sm-6 col-md-2  p-2">
										<label class="fw-bold"><f:translate key="tx_fluidform_label.backend_filter_page"/></label><br />
										<f:form.select name="page" class="{list.css.select}" optionLabelField="title" optionValueField="uid"
													   options="{list.page.items}" value="{list.page.selected}" />
									</div>
									<div class="col-sm-6 col-md-2  p-2">
										<label class="fw-bold"><f:translate key="tx_fluidform_label.backend_filter_form"/></label><br />
										<f:form.select name="form" class="{list.css.select}" optionLabelField="title" optionValueField="uid"
													   options="{list.form.items}" value="{list.form.selected}" />
									</div>
									<div class="col-sm-6 col-md-2  p-2">
										<label class="fw-bold"><f:translate key="tx_fluidform_label.backend_filter_search_word"/></label><br />
										<f:form.textfield name="searchWord" class="form-control" value="{list.searchWord}"
														  placeholder="{f:translate(key: 'tx_fluidform_label.backend_filter_search_word')}"/>
									</div>
									<div class="col-sm-6 col-md-2  p-2">
										<label>&nbsp;</label><br />
										<f:form.submit value="{f:translate(key: 'tx_fluidform_label.backend_filter_submit')}"
													   class="btn btn-default" />
									</div>
								</div>

							</f:form>
						</f:else>
					</f:if>
				</div>
			</div>

			<f:render partial="Table/Table" arguments="{list: list, data: mails}" />

		</f:else>
	</f:if>

	<p style="float:right">pages [{currentPage}]</p>
</f:section>
